### Method

# Gtk TreeView set_search_equal_func

#### Declaration [src]

    void
    gtk_tree_view_set_search_equal_func (
      GtkTreeView* tree_view,
      GtkTreeViewSearchEqualFunc search_equal_func,
      gpointer search_user_data,
      GDestroyNotify search_destroy
    )

#### Description [src]

Sets the compare function for the interactive search capabilities; note that somewhat like strcmp() returning 0 for equality `GtkTreeView`SearchEqualFunc returns `FALSE` on matches.

#### Parameters

`search_equal_func` | `GtkTreeViewSearchEqualFunc`
| The compare function to use during the search.
`search_user_data` | `gpointer`
| User data to pass to `search_equal_func`.
`search_destroy` | `GDestroyNotify`
| Destroy notifier for `search_user_data`.